import { Router } from 'express'
import expressjwt from 'express-jwt'

import { authRouter } from './v1/auth'
import { bannerRouter } from './v1/banner'
import tasksRouter from './v1/tasks'
import draftsRouter from './v1/drafts'

export const router = Router()

const jwtMiddlevare = expressjwt({
    secret: process.env.JWT_SECRET_STRING,
    algorithms: ['HS256']
})

router.use(bannerRouter)
router.use('/v1/auth', authRouter)
router.use(['/v1/tasks', '/v1/task'], jwtMiddlevare, tasksRouter)
router.use('/v1/drafts', jwtMiddlevare, draftsRouter)
