import { Router } from 'express'

import { requiredFields } from '../../utils/required'

import { createTask, getTaskData } from './tasks.controller'

const router = Router()

router.post('/create', async (req, res) => {
    const draft = await createTask({ userId: (req as any)?.user?.id })
    res.send(draft)
})

router.post('/data', requiredFields(['id']), async (req, res) => {
    const { id } = req.body
    const task = await getTaskData(id)

    res.send(task)
})

export default router
